[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

Re: [pygame] pygame download page still reccomends python 2.5

I don't think its true anymore, AFAIK you should go with python2.7 for pygame.
There is a python 2.7 download on the mailing list.

Outside of pygame, 2.7.x is what you want to go with, since wiht 3.x series doesn't have as many libraries precompiled, or working.

On Thu, Sep 29, 2011 at 4:48 PM, James Paige <Bob@xxxxxxxxxxxxxxxxxxx> wrote:
I was talking with a new programmer who is just getting started with
python and pygame. After a lot of confusion, I realized that he had
downloaded pygame-1.9.1.win32-py2.5.msi by mistake. The download page
still has bold text proclaiming "(python2.5.4 is the best python on
windows at the moment)"

If anybody knows any reason why that is still true, please correct me,
but I think instead of bold text to reccomend one version over others,
there should just be a message saying that a person should take care to
download the version that matches their python version.

No matter who I am, the "best" version of pygame is the one that will
work on my computer ;)

James Paige